com.ihr.xbrl.versioning

## Class VersioningSchemasResolver

- java.lang.Object
- - com.ihr.xbrl.versioning.VersioningSchemasResolver

- All Implemented Interfaces:
    java.io.Serializable, net.sf.saxon.lib.SchemaURIResolver

      public class VersioningSchemasResolver
      extends java.lang.Object
      implements net.sf.saxon.lib.SchemaURIResolver

  Resolves schemas regarding the versioning reports. Encapsulates the schemas for versioning reports in this class
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `versioningConfSuiteNS` The Constant versioningConfSuiteNS.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersioningSchemasResolver(java.lang.String versioningSchemaUri, java.lang.String versioningConfSuiteSchemaUri)` Creates a new VersioningSchemasResolver.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `loadSchemas(com.saxonica.config.EnterpriseConfiguration conf)` Load schemas.
    `javax.xml.transform.Source[]` | `resolve(java.lang.String targetNamespace, java.lang.String baseURI, java.lang.String[] locations)`
    `void` | `setConfiguration(net.sf.saxon.Configuration arg0)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### versioningConfSuiteNS

          public static final java.lang.String versioningConfSuiteNS

      The Constant versioningConfSuiteNS.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VersioningSchemasResolver

          public VersioningSchemasResolver(java.lang.String versioningSchemaUri,
                                   java.lang.String versioningConfSuiteSchemaUri)

      Creates a new VersioningSchemasResolver. The parameters can be null, in that case the local copies are used.
      Parameters:
        `versioningSchemaUri` - String uri for the schema of the conformance suite. Can be null.
        `versioningConfSuiteSchemaUri` - String uri of the schema for the versioning taxonomy. Can be null.

  - ### Method Detail

    - #### loadSchemas

          public void loadSchemas(com.saxonica.config.EnterpriseConfiguration conf)
                           throws net.sf.saxon.type.SchemaException

      Load schemas.
      Parameters:
        `conf` - the conf
      Throws:
        `net.sf.saxon.type.SchemaException` - the schema exception

    - #### resolve

          public javax.xml.transform.Source[] resolve(java.lang.String targetNamespace,
                                             java.lang.String baseURI,
                                             java.lang.String[] locations)
                                               throws net.sf.saxon.trans.XPathException

      Specified by:
        `resolve` in interface `net.sf.saxon.lib.SchemaURIResolver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### setConfiguration

          public void setConfiguration(net.sf.saxon.Configuration arg0)

      Specified by:
        `setConfiguration` in interface `net.sf.saxon.lib.SchemaURIResolver`